-- تعريف قصير
print("مرحبًا بكم في التقنية مع يوسف! هنا نقدم لكم أحدث المعلومات والأدوات التكنولوجية.")
print("اكتشفوا معنا كيفية الاستفادة من التكنولوجيا في حياتكم اليومية!")
print("------------------------------------------------")

-- دالة لطباعة التاريخ والوقت الميلادي والهجري
function printDateTime()
    -- الحصول على التاريخ والوقت الميلادي
    local currentDate = os.date("*t")
    local gregorianDate = string.format("%04d-%02d-%02d", currentDate.year, currentDate.month, currentDate.day)
    local time = string.format("%02d:%02d:%02d", currentDate.hour, currentDate.min, currentDate.sec)

    -- حساب التاريخ الهجري بشكل صحيح
    local julianDate = (1461 * (currentDate.year + 4800 + math.floor((currentDate.month - 14) / 12))) / 4 + 
                        (367 * (currentDate.month - 2 - 12 * math.floor((currentDate.month - 14) / 12))) / 12 - 
                        (3 * math.floor((currentDate.year + 4900 + math.floor((currentDate.month - 14) / 12)) / 100)) / 4 + 
                        currentDate.day - 32075

    local hijriYear = math.floor((julianDate - 1948439.5) / 354.367)
    local hijriMonth = math.floor((julianDate - (hijriYear * 354 + 1948439.5)) / 29.5) + 1
    local hijriDay = math.floor(julianDate - (hijriYear * 354 + 1948439.5) - (hijriMonth - 1) * 29.5 + 1)

    -- تصحيح الأشهر الهجرية
    if hijriMonth > 12 then
        hijriMonth = 12
    end

    -- طباعة التاريخ والوقت
    print("التاريخ الميلادي: " .. gregorianDate .. " " .. time)
    print("التاريخ الهجري: " .. hijriYear .. "-" .. hijriMonth .. "-" .. hijriDay)

    -- نسخ التاريخ الميلادي والتاريخ الهجري إلى الحافظة
    copyToClipboard("التاريخ الميلادي: " .. gregorianDate)
    copyToClipboard("التاريخ الهجري: " .. hijriYear .. "-" .. hijriMonth .. "-" .. hijriDay)
    print("تم نسخ التاريخ الميلادي والهجري إلى الحافظة.")
end

-- دالة لنسخ النص إلى الحافظة
function copyToClipboard(text)
    -- هنا، نضع فقط دالة وهمية لتمثيل عملية النسخ
    -- يمكنك استخدام مكتبات خارجية مثل "luacurl" أو "Clipboard" لتحقيق ذلك في بيئات تدعمها
    print("نسخ إلى الحافظة: " .. text)
end

-- استدعاء الدالة لطباعة التاريخ والوقت
printDateTime()
